#include "excelreader.h"

#include <xlnt/xlnt.hpp>

void ExcelReader::readSellersFromFile(const std::string& filename, Marketplace* market)
{
    xlnt::workbook wb;
    wb.load(filename);
    auto ws = wb.sheet_by_index(0);

    const int START_ROW = 6;
    const int END_ROW = 349;

    int rowCount{};
    for (const auto& row : ws.rows(false)) {
        // auto test = row[0].value<int>();
        if (rowCount < START_ROW)
            continue;
        std::cout << row[0].to_string() << "\n";
        rowCount++;
    }
}
